.Dd October 20, 2006
.Dt IMMIGRATION 1
.Sh NAME
.Nm immigration
.Nd grant visa in a host country
.Sh SYNOPSIS
.Nm
.Ar [gp] alien
.Sh DESCRIPTION
.Nm
grants (or doesn't grant)
a visa to the alien specified via standard input.
Its output is binary.
The actions to be taken in case of a negative result (visa not
granted) depend on the host country (inquire at your
local aliens and immigration police).
.Nm
resorts to error output only when the alien has made
a mistake. It's no use arguing with
.Nm .
.Sh OPTIONS
The
.Ar alien
argument is optional. It specifies the alien's name.
The other two arguments are obligatory and are divided into
the global
.Ar g ,
and the particular
.Ar p .
The combination of these two arguments
specifies the alien's purpose of stay in the host country.
The canonical representation for setting the purpose
of stay is as
follows:

.Pp
.Bl -tag -width Ds -compact -offset indent
.It Ar f
To stay with a family member
.Pp
.Bl -tag -width Ds -compact -offset indent
.It Ar a
You are married or are in a registered partnership with an sponsor living in the host country
.It Ar b
You are the unmarried partner of an sponsor in the host country
.It Ar c
You are the child of an sponsor and live in the same house as the sponsor
.It Ar d
You are the father or mother of an sponsor living in the host country, you are single and aged 65 or over
.It Ar e
You are the foster child of an sponsor who's applying for a residence permit on your behalf
.It Ar f
You have not yet been adopted, but are being accepted for adoption in the family of the sponsor, who is applying for a residence permit on your behalf
.It Ar g
You are a family member of an sponsor living in the host country and are dependent on him/her
.It Ar h
You are a family member of non-privileged NATO personnel
.It Ar i
You wish to visit a family member in the host country (min 3 months, max 6 months)
.El
.It Ar w
To work
.Pp
.Bl -tag -width Ds -compact -offset indent
.It Ar j
You mean to work as an employee
.It Ar k
You mean to work as a trainee
.It Ar l
You will work for the purpose of garnering work experience
.It Ar m
You will work as an unpaid research worker
.It Ar n
You will be a guest lecturer or a scientific researcher
.It Ar o
You will work as a spiritual leader or teacher of religious knowledge
.It Ar p
You have paid employment as a director-major shareholder
.It Ar q
You will work on a self-employed basis
.El
.It Ar s
To study
.Pp
.Bl -tag -width Ds -compact -offset indent
.It Ar t
You will carry out studies in a higher education institution/university
.It Ar q
You will carry out studies in a secondary or vocational institution
.El
.It Ar e
For exchange purposes
.Pp
.Bl -tag -width Ds -compact -offset indent
.It Ar r
You are taking part in an exchange programme via a private organisation
.It Ar s
Your exchange is based on the 'working holiday scheme' or the 'working holiday programme'
.El
.It Ar a
As an au pair
.It Ar m
For medical treatment
.El
.Sh EXAMPLES
The command:
.Bd -literal -offset indent
immigration John wp
.Ed
.Pp
specifies that John's purpose of stay in the host country is to
take up work as the director or major shareholder in a company.
.Sh COMPATIBILITY
The
.Nm
utility should be useful in any major country. It is an upgrade of
previous deprecated utilities such as
.Nm imm-us
and
.Nm imm-eu ,
in that it is completely random. The
.Nm
utility grants a visa on 45% of the cases, does not grant a visa in 45%
of the cases, and resorts to standard error on the remaining 10% of the
cases.
.Sh SEE ALSO
deportation(2), inspection(2)
